## org.apache.lucene.queryParser.standard.builders
Class RangeQueryNodeBuilder

    java.lang.Object
      org.apache.lucene.queryParser.standard.builders.RangeQueryNodeBuilder

All Implemented Interfaces:
  QueryBuilder, StandardQueryBuilder

Deprecated. this builder will be removed in future together with `RangeQueryNode`

    @Deprecated
    public class RangeQueryNodeBuilder

extends Object
implements StandardQueryBuilder

Builds a `TermRangeQuery` object from a `RangeQueryNode` object.

Constructor Summary
`RangeQueryNodeBuilder()` Deprecated.

Method Summary
`TermRangeQuery` `build(QueryNode queryNode)` Deprecated. Builds some kind of object from a query tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RangeQueryNodeBuilder

    public RangeQueryNodeBuilder()

  Deprecated.

Method Detail

### build

    public TermRangeQuery build(QueryNode queryNode)
                         throws QueryNodeException

  Deprecated.
  Description copied from interface: `QueryBuilder`
  Builds some kind of object from a query tree.

  Specified by:
    `build` in interface `QueryBuilder`
  Specified by:
    `build` in interface `StandardQueryBuilder`
  Parameters:
    `queryNode` - the query tree root node
  Returns:
    some object generated from the query tree
  Throws:
    `QueryNodeException`